# Generated from full_lengther_next-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name full_lengther_next

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Tool to annotate transcriptomes and it is able to stablish the integrity of each transcript. Also, FLN can detect novel genes on a target organism
License: MIT
URL: https://github.com/seoanezonjic
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
FULL-LENGTHERNEXT is a tool adapted to NGS technologies, able to work in
parallel and in a distributed way to minimise computing time. It is able to
classify unigenes to full-length, 5’-end, 3’-end and internal, suggesting
which unknown genes are coding or not. It will be also shown that
FULL-LENGTHERNEXT fixes frame shifts, one of the main mistake found in wrong
entries of full-length sequences databases, and it is a fast tool to compare
different transcriptome assemblies.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/download_fln_dbs.rb
%{_bindir}/full_lengther_next
%{_bindir}/make_test_dataset.rb
%{_bindir}/make_user_db.rb
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/report_templates
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/full_lengther_next.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 1.0.1-1
- Initial package
